1

I am a WordPress plugin developer, I SVNed the latest plugin then the translation page goes like below:

enter image description here

How can I prevent the "Development" version to appare? I just want a stable version here.

In newest README.txt:

 === Corona Virus Data ===
Contributors: freeduke
Donate link: https://www.dukeyin.com/donate/
Tags: ncov19, coronavirus, covid-19, Corona virus,   
Requires at least: 3.0.1
Tested up to: 5.4
Stable tag: 1.2.2
Requires PHP: 7.2
License: GPLv2 or later
License URI: http://www.gnu.org/licenses/gpl-2.0.html

and the plugin file I worte:

 * Plugin Name:       Corona Virus Data
 * Plugin URI:        https://www.dukeyin.com/corona-virus-data/
 * Description:       This plugin use an api to display the "Corona virus" data in whole world and country you care through a shortcode [cov2019] or [cov2019all] in your WordPress post or page.
 * Version:           1.2.2
 * Author:            Duke Yin
 * Author URI:        https://www.dukeyin.com
 * License:           GPL-2.0+
 * License URI:       http://www.gnu.org/licenses/gpl-2.0.txt
 * Text Domain:       corona-virus-data
 * Domain Path:       /languages

Also I've put the older version 1.2.0 into the "tags" folder in SVN.

Is there anything I can do to have only one stable version without a "development version"?

  • This isn't a WordPress problem, this is a question about the wordpress.org website, you should join the main WP slack, and ask in the core meta channel. But from what i know, what you seek is neither possible, or desirable, and you should expect considerable pushback as that's how the page is supposed to work – Tom J Nowell Mar 26 at 15:05
  • Thank you, solved – Duke Yin Mar 30 at 16:56